Page MenuHomePhabricator

Preparation for CX Deployment in production
Closed, ResolvedPublic

Description

Context

Content Translation has been running on beta servers for 4 months and has been used by Editors for creating real articles. The next step would be to host the tool from within a real Wikipedia.

Timeboxed

5 December 2014

Narrative

As a Wikipedia Editor , I can use the Content Translation tool, so that I can translate and publish articles directly on the Wikipedia I am editing.

Acceptance Criteria

  1. Groundwork needed for production deployment is well-understood and documented
    1. ​Automatic scripts, packages, and other requirements from Ops is prepared and documented.
    2. Hardware requirements and available inventory is documented
  2. Legal requirements for deployment on a real Wikipedia is identified (through written conversations with WMF Legal team) and documented
  3. Product requirements are documented
    1. Analytics and Metrics
    2. Beta-feature process compliance
  4. Community engagement and required endorsements for deployment are clearly understood, planned and documented
  5. Summarized proposal from the above documents is prepared and passed on to Upper Management for sign-off

Deliverables

Enter link to actually done tangible deliverable(s)

Event Timeline

Arrbee created this task.Nov 28 2014, 6:01 AM
Arrbee claimed this task.
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee updated the task description. (Show Details)Nov 28 2014, 6:04 AM
Arrbee updated the task description. (Show Details)
Arrbee updated the task description. (Show Details)Nov 28 2014, 6:41 AM
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:06 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-79 board.Nov 28 2014, 12:23 PM
Arrbee moved this task from In Progress to In Review on the LE-Sprint-79 board.Dec 8 2014, 6:33 PM
Arrbee closed this task as Resolved.Dec 10 2014, 6:51 AM